/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is the Dict
 *
 * The Initial Developer of the Original Code is David Costanzo
 * Portions created by the Initial Developer are Copyright (C) 2003-2005
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the MPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the GPL or the LGPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the MPL, the GPL or the LGPL.
 *
 * ***** END LICENSE BLOCK ***** */

window.addEventListener("load", dictDefinitionsInit, false);

function dictDefinitionsInit() {

    // extract the definitions from the 'query' part of the URL.
    var url = window.location.href;
    var queryStartIndex = url.indexOf('?');
    var query = url.slice(queryStartIndex + 1);
    
    query = unescape(query);

    try {
    document.getElementById('definitions').loadURI(
        'data:text/html,' + dictUtf8ToCharacterEntities(query),
        null,
        null);

    if (0) {
        var closeMatches = query.split('|');
        var originalWord = closeMatches.shift();

        // re-encode originalWord in UCS-4
        originalWord = dictUtf8ToUcs4(originalWord);

        // fill in the "%S" placeholder in the title
        var win = document.getElementById('close-matches-window');
        var title = win.getAttribute('title');
        var newTitle = title + " - " + originalWord;
        win.setAttribute('title', newTitle);

        // fill in the instructions
        var instructionsText =
            'No definitions for "' + originalWord + '" were found, ' +
            'but definitions for the following similar-looking words were found.';
        var instructionsTextNode = document.createTextNode(instructionsText);
        var instructionsNode = document.getElementById('instructions');
        instructionsNode.appendChild(instructionsTextNode);

        // normalize the array of close matches
        for (var i = 0; i < closeMatches.length; i++) {
            var word = closeMatches[i];
            var normalizedWord = word.replace(/"/g,''); //"

            normalizedWord = dictUtf8ToUcs4(normalizedWord);

            closeMatches[i] = normalizedWord;
        }

        // fill the listbox with the close matches
        var listbox = document.getElementById('close-matches-list');
        for (i = 0; i < closeMatches.length; i++) {
            var listitem = document.createElement('listitem');
            listitem.setAttribute('label', closeMatches[i]);
            listitem.setAttribute('value', closeMatches[i]);
            listbox.appendChild(listitem);
        }

    }
    }
    catch (err) {
        alert('err ' + err.message);
    }

    window.sizeToContent();
}

